import {Permission} from "./modules/shared/model/account.model";

export const routes = {
  recipes: {
    route: 'color',
    title: 'Couleurs',
    requiredPermission: Permission.VIEW_RECIPES
  },
  catalog: {
    route: 'catalog',
    title: 'Catalogue',
    requiredPermission: Permission.VIEW_CATALOG,
    children: {
      materialTypes: {
        route: 'catalog/materialtype',
        simpleRoute: 'materialtype',
        title: 'Types de produit',
        permission: Permission.VIEW_CATALOG
      },
      materials: {
        route: 'catalog/inventory',
        simpleRoute: 'inventory',
        title: 'Inventaire',
        permission: Permission.VIEW_CATALOG
      },
      companies: {
        route: 'catalog/company',
        simpleRoute: 'company',
        title: 'Bannières',
        permission: Permission.VIEW_CATALOG
      }
    }
  },
  misc: {
    route: 'misc',
    title: 'Autres',
    enabled: true,
    children: {
      touchUpKits: {
        route: 'misc/touch-up-kit',
        simpleRoute: 'touch-up-kit',
        title: 'Kits de retouche',
        permission: Permission.VIEW_TOUCH_UP_KITS
      }
    }
  },
  administration: {
    route: 'admin',
    title: 'Administration',
    requiredPermission: Permission.VIEW_USERS,
    children: {
      users: {route: 'admin/user', simpleRoute: 'user', title: 'Utilisateurs', permission: Permission.VIEW_USERS},
      groups: {route: 'admin/group', simpleRoute: 'group', title: 'Groupes', permission: Permission.VIEW_USERS},
      groupTokens: {
        route: 'admin/grp-tokens',
        simpleRoute: 'grp-tokens',
        title: 'Ordinateurs',
        permission: Permission.ADMIN
      },  // Not 'group-tokens' so the navbar doesn't detect 'group' as active
      configurations: {
        route: 'admin/config',
        simpleRoute: 'config',
        title: 'Configuration',
        permission: Permission.ADMIN
      }
    }
  },
  accounts: {
    route: 'account'
  }
}
